### Method

# Gegl Nodeadd_child

#### Declaration [src]

    GeglNode*
    gegl_node_add_child (
      GeglNode* graph,
      GeglNode* child
    )

#### Description [src]

Make the GeglNode `graph`, take a reference on child. This reference will be dropped when the reference count on the graph reaches zero.

#### Parameters

`child`

  Type: `GeglNode`

  A GeglNode.

  The data is owned by the caller of the method.

#### Return value

Type: `GeglNode`

The child.

The returned data is owned by the instance.